[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'LResources' (#lcl)

# TLRSObjectReader.ReadIdent

Reads an identifier, maybe a name or a standard key (which is not stored).

## Declaration

Source position: lresources.pp line 172

`public function TLRSObjectReader.ReadIdent(`
`ValueType: TValueType`
`):string; override;`

## Arguments

`ValueType` |  | The expected type: vaIdent for an stored name, or vaNil, vaFalse, vaTrue, vaNull for an standard string.

## Errors

GDB error on an unexpected ValueType.